<link rel="stylesheet" href="app/components/searchProduct/searchProduct.css">
<link rel="stylesheet" href="app/components/searchProduct/searchProduct2.css">

<div id="search">
	<div ng-include="'app/components/searchProduct/modals/mapModal.html'"></div>
	<div class="col-t filterbar" style="--per: 30%;">
		<div style="text-align:left !important">
		<div ng-include="'app/components/searchProduct/filterbar.html'"></div>
		</div>
		<button type="button" class="btn btn-link" ng-click="showMap()"><span class="glyphicon glyphicon-map-marker"></span> Εμφάνιση στο χάρτη</button>
	</div>
	<div class="col-t" style="--per: 70%">
		<table id="tablem">
			<tbody>
				<tr>
					<td>
						<div class="col-m left" style="--per: 50%">
							<select class="btn btn-default sort" style="padding: 5px 0px; margin-bottom: 10px">
								<option ng-selected="params.sort=='price|ASC'" ng-click="changeSort('price','ASC')">Τιμή αύξουσα</option>
								<option ng-selected="params.sort=='price|DESC'" ng-click="changeSort('price','DESC')">Τιμή φθίνουσα</option>
								<!-- <option ng-selected="params.sort=='geoDist|ASC'" ng-click="changeSort('geoDist','ASC')">Απόσταση αύξουσα</option> -->
								<option ng-selected="params.sort=='geoDist|ASC'" ng-click="changeSort('geoDist','ASC')">Απόσταση αύξουσα</option>
								<!-- <option ng-selected="params.sort=='geoDist|DESC'" ng-click="changeSort('geoDist','DESC')">Απόσταση φθίνουσα</option> -->
								<option ng-selected="params.sort=='geoDist|DESC'" ng-click="changeSort('geoDist','DESC')">Απόσταση φθίνουσα</option>
							</select>
						</div>
						<div class="col-m right btn-list" style="--per: 50%">
							<ul class="pagination pagination-sm" style="margin:0">
								<li class="page-item">
									<a class="page-link" href="" ng-click="changePage(params.page - 1)">
										<span class="glyphicon glyphicon-triangle-left">
									</a>
								</li>
								
								<li class="page-item" ng-show="params.page > 2"><a class="page-link" href="" ng-click="changePage(1)">{{1}}</a></li>
								<li class="page-item prev" ng-show="params.page > 3"><a class="page-link" href="">..</a></li>
								
								<li class="page-item prev" ng-show="params.page > 1"><a class="page-link" href="" ng-click="changePage(params.page - 1)">{{params.page - 1}}</a></li>
								<li class="page-item current active"><a class="page-link" href="" ng-click="changePage(params.page)">{{params.page}}</a></li>
								<li class="page-item next" ng-show="params.page < lastPage"><a class="page-link" href="" ng-click="changePage(params.page + 1)">{{params.page + 1}}</a></li>

								<li class="page-item prev" ng-show="params.page < lastPage - 2"><a class="page-link" href="">..</a></li>
								<li class="page-item" ng-show="params.page < lastPage - 1"><a class="page-link" href="" ng-click="changePage(lastPage)">{{lastPage}}</a></li>
								
								<li class="page-item">
									<a class="page-link" href="" ng-click="changePage(params.page + 1)">
										<span class="glyphicon glyphicon-triangle-right">
									</a>
								</li>
							</ul>
						</div>
					</td>
				</tr>
			</tbody>
		</table>

		<div>
			<table class="table table-striped">
				<thead>
						<td>
								<div class="col-m left" style="--per: 30%">Όνομα Προϊόντος</div>
								<div class="col-m left" style="--per: 30%">Όνομα Καταστήματος</div>
								<div class="col-m center" style="--per: 20%">Απόσταστη από Κατάστημα</div>
								<div class="col-m center" style="--per: 20%">Τιμή</div>
						</td>
					</thead>
				<tbody>
					<tr ng-repeat="price in prices">
						<td>
							<div class="col-m left" style="--per: 30%"><span class="btn btn-link" ng-click="setLocation('product/' + price.productId)">{{price.productName}}<span></div>
							<div class="col-m left" style="--per: 30%"><span class="btn btn-link" ng-click="setLocation('shop/' + price.shopId)">{{price.shopName}}<span></div>
							<div class="col-m center" style="--per: 20%">{{price.shopDist}} m</div>
							<div class="col-m center" style="--per: 20%">{{price.price | currency}}</div>
						</td>
					</tr>
				</tbody>
			</table>
		</div>

		<div class="text-center">
			<ul class="pagination pagination-sm">
				<li class="page-item">
					<a class="page-link" href="" ng-click="changePage(params.page - 1)">
						<span class="glyphicon glyphicon-triangle-left">
					</a>
				</li>
				
				<li class="page-item" ng-show="params.page > 2"><a class="page-link" href="" ng-click="changePage(1)">{{1}}</a></li>
				<li class="page-item prev" ng-show="params.page > 3"><a class="page-link" href="">..</a></li>
				
				<li class="page-item prev" ng-show="params.page > 1"><a class="page-link" href="" ng-click="changePage(params.page - 1)">{{params.page - 1}}</a></li>
				<li class="page-item current active"><a class="page-link" href="" ng-click="changePage(params.page)">{{params.page}}</a></li>
				<li class="page-item next" ng-show="params.page < lastPage"><a class="page-link" href="" ng-click="changePage(params.page + 1)">{{params.page + 1}}</a></li>

				<li class="page-item prev" ng-show="params.page < lastPage - 2"><a class="page-link" href="">..</a></li>
				<li class="page-item" ng-show="params.page < lastPage - 1"><a class="page-link" href="" ng-click="changePage(lastPage)">{{lastPage}}</a></li>
				
				<li class="page-item">
					<a class="page-link" href="" ng-click="changePage(params.page + 1)">
						<span class="glyphicon glyphicon-triangle-right">
					</a>
				</li>
			</ul>
		</div>
	</div>
</div>
